hpp-core: hpp::core::ProblemTarget Class Reference

hpp-core 9.0.2 Implement basic classes for canonical path planning for kinematic chains.

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
hpp::core::ProblemTarget Class Referenceabstract
Path planning algorithms

`#include <hpp/core/problem-target.hh>`

Inheritance diagram for hpp::core::ProblemTarget:
[legend]

## Public Member Functions
virtual | ~ProblemTarget ()
virtual void | check (const RoadmapPtr_t &roadmap) const =0
| Check if the problem target is well specified.
virtual bool | reached (const RoadmapPtr_t &roadmap) const =0
| Check whether the problem is solved.
virtual PathVectorPtr_t | computePath (const RoadmapPtr_t &roadmap) const =0
void | problem (const ProblemPtr_t &problem)
| Set the problem.

## Protected Member Functions
| ProblemTarget (const ProblemPtr_t &problem)
| Constructor.
void | init (const ProblemTargetWkPtr_t &weak)
| Store weak pointer to itself.

## Protected Attributes
ProblemWkPtr_t | problem_
| Reference to the planner for access to problem and roadmap.
ProblemTargetWkPtr_t | weakPtr_
| Store weak pointer to itself.

## Detailed Description

Problem target

This abstract class defines the goal to be reached by a planning algorithm.

## Constructor & Destructor Documentation

## ◆ ~ProblemTarget()

virtual hpp::core::ProblemTarget::~ProblemTarget | ( |  | ) |
| inlinevirtual

## ◆ ProblemTarget()

hpp::core::ProblemTarget::ProblemTarget | ( | const ProblemPtr_t & | problem | ) |
| inlineprotected

Constructor.

## Member Function Documentation

## ◆ check()

virtual void hpp::core::ProblemTarget::check | ( | const RoadmapPtr_t & | roadmap | ) | const
| pure virtual

Check if the problem target is well specified.

Implemented in hpp::core::problemTarget::GoalConfigurations, and hpp::core::problemTarget::TaskTarget.

## ◆ computePath()

virtual PathVectorPtr_t hpp::core::ProblemTarget::computePath | ( | const RoadmapPtr_t & | roadmap | ) | const
| pure virtual

Returns the solution path found. Should be called when reached() returns true.

Implemented in hpp::core::problemTarget::GoalConfigurations, and hpp::core::problemTarget::TaskTarget.

## ◆ init()

void hpp::core::ProblemTarget::init | ( | const ProblemTargetWkPtr_t & | weak | ) |
| inlineprotected

Store weak pointer to itself.

## ◆ problem()

void hpp::core::ProblemTarget::problem | ( | const ProblemPtr_t & | problem | ) |
| inline

Set the problem.

## ◆ reached()

virtual bool hpp::core::ProblemTarget::reached | ( | const RoadmapPtr_t & | roadmap | ) | const
| pure virtual

Check whether the problem is solved.

Implemented in hpp::core::problemTarget::GoalConfigurations, and hpp::core::problemTarget::TaskTarget.

## Member Data Documentation

## ◆ problem_

ProblemWkPtr_t hpp::core::ProblemTarget::problem_
| protected

Reference to the planner for access to problem and roadmap.

## ◆ weakPtr_

ProblemTargetWkPtr_t hpp::core::ProblemTarget::weakPtr_
| protected

Store weak pointer to itself.

The documentation for this class was generated from the following file:

- include/hpp/core/problem-target.hh